import{s as pt,n as mt,o as ft}from"../chunks/scheduler.7bc62968.js";import{S as gt,i as vt,g as i,s,p as B,A as bt,h as l,f as t,c as n,j as c,q as D,m as h,k as r,v as d,a,r as J,d as R,t as W,u as K}from"../chunks/index.9d14b1c2.js";import{I as le}from"../chunks/IconCopyLink.2a97ef6c.js";import{C as wt}from"../chunks/CodeBlock.631ff4e0.js";function yt(Ve){let u,se,p,b,ee,k,Ee,Z,Ie="Using Asteroid at Hugging Face",ne,H,qe="<code>asteroid</code> is a Pytorch toolkit for audio source separation. It enables fast experimentation on common datasets with support for a large range of datasets and recipes to reproduce papers.",re,m,w,te,A,Ne,O,ze="Exploring Asteroid in the Hub",de,M,Fe='You can find <code>asteroid</code> models by filtering at the left of the <a href="https://huggingface.co/models?filter=asteroid" rel="nofollow">models page</a>.',he,T,Ge="All models on the Hub come up with the following features:",ce,L,Ze="<li>An automatically generated model card with a description, training configuration, metrics, and more.</li> <li>Metadata tags that help for discoverability and contain information such as licenses and datasets.</li> <li>An interactive widget you can use to play out with the model directly in the browser.</li> <li>An Inference API that allows to make inference requests.</li>",ue,y,Oe='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/libraries-transformers_widget.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/libraries-transformers_widget-dark.png"/>',pe,f,_,oe,P,Se,X,Xe="Using existing models",me,E,Ye='For a full guide on loading pre-trained models, we recommend checking out the <a href="https://github.com/asteroid-team/asteroid/blob/master/docs/source/readmes/pretrained_models.md" rel="nofollow">official guide</a>.',fe,N,Qe="All model classes (<code>BaseModel</code>, <code>ConvTasNet</code>, etc) have a <code>from_pretrained</code> method that allows to load models from the Hub.",ge,S,ve,U,Be="If you want to see how to load a specific model, you can click <code>Use in Adapter Transformers</code> and you will be given a working snippet that you can load it!",be,x,De='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/libraries-transformers_snippet.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/libraries-transformers_snippet-dark.png"/>',we,g,$,ae,j,Ue,Y,Je="Sharing your models",ye,V,Re='At the moment there is no automatic method to upload your models to the Hub, but the process to upload them is documented in the <a href="https://github.com/asteroid-team/asteroid/blob/master/docs/source/readmes/pretrained_models.md#share-your-models" rel="nofollow">official guide</a>.',_e,I,We="All the recipes create all the needed files to upload a model to the Hub. The process usually involves the following steps:",xe,q,Ke="<li>Create and clone a model repository.</li> <li>Moving files from the recipe output to the repository (model card, model filte, TensorBoard traces).</li> <li>Push the files (<code>git add</code> + <code>git commit</code> + <code>git push</code>).</li>",$e,z,et="Once you do this, you can try out your model directly in the browser and share it with the rest of the community.",Ce,v,C,ie,F,je,Q,tt="Additional resources",ke,G,ot='<li>Asteroid <a href="https://asteroid-team.github.io/" rel="nofollow">website</a>.</li> <li>Asteroid <a href="https://github.com/asteroid-team/asteroid" rel="nofollow">library</a>.</li> <li>Integration <a href="https://github.com/asteroid-team/asteroid/blob/master/docs/source/readmes/pretrained_models.md" rel="nofollow">docs</a>.</li>',He;return k=new le({}),A=new le({}),P=new le({}),S=new wt({props:{code:"ZnJvbSUyMGFzdGVyb2lkLm1vZGVscyUyMGltcG9ydCUyMENvbnZUYXNOZXQlMEFtb2RlbCUyMCUzRCUyMENvbnZUYXNOZXQuZnJvbV9wcmV0cmFpbmVkKCdtcGFyaWVudGUlMkZDb252VGFzTmV0X1dIQU1fc2VwY2xlYW4nKQ==",highlighted:`<span class="hljs-keyword">from</span> asteroid.models <span class="hljs-keyword">import</span> ConvTasNet
model = ConvTasNet.from_pretrained(<span class="hljs-string">&#x27;mpariente/ConvTasNet_WHAM_sepclean&#x27;</span>)`}}),j=new le({}),F=new le({}),{c(){u=i("meta"),se=s(),p=i("h1"),b=i("a"),ee=i("span"),B(k.$$.fragment),Ee=s(),Z=i("span"),Z.textContent=Ie,ne=s(),H=i("p"),H.innerHTML=qe,re=s(),m=i("h2"),w=i("a"),te=i("span"),B(A.$$.fragment),Ne=s(),O=i("span"),O.textContent=ze,de=s(),M=i("p"),M.innerHTML=Fe,he=s(),T=i("p"),T.textContent=Ge,ce=s(),L=i("ol"),L.innerHTML=Ze,ue=s(),y=i("div"),y.innerHTML=Oe,pe=s(),f=i("h2"),_=i("a"),oe=i("span"),B(P.$$.fragment),Se=s(),X=i("span"),X.textContent=Xe,me=s(),E=i("p"),E.innerHTML=Ye,fe=s(),N=i("p"),N.innerHTML=Qe,ge=s(),B(S.$$.fragment),ve=s(),U=i("p"),U.innerHTML=Be,be=s(),x=i("div"),x.innerHTML=De,we=s(),g=i("h2"),$=i("a"),ae=i("span"),B(j.$$.fragment),Ue=s(),Y=i("span"),Y.textContent=Je,ye=s(),V=i("p"),V.innerHTML=Re,_e=s(),I=i("p"),I.textContent=We,xe=s(),q=i("ol"),q.innerHTML=Ke,$e=s(),z=i("p"),z.textContent=et,Ce=s(),v=i("h2"),C=i("a"),ie=i("span"),B(F.$$.fragment),je=s(),Q=i("span"),Q.textContent=tt,ke=s(),G=i("ul"),G.innerHTML=ot,this.h()},l(e){const o=bt("svelte-1phssyn",document.head);u=l(o,"META",{name:!0,content:!0}),o.forEach(t),se=n(e),p=l(e,"H1",{class:!0});var Ae=c(p);b=l(Ae,"A",{id:!0,class:!0,href:!0});var at=c(b);ee=l(at,"SPAN",{});var it=c(ee);D(k.$$.fragment,it),it.forEach(t),at.forEach(t),Ee=n(Ae),Z=l(Ae,"SPAN",{"data-svelte-h":!0}),h(Z)!=="svelte-aepujz"&&(Z.textContent=Ie),Ae.forEach(t),ne=n(e),H=l(e,"P",{"data-svelte-h":!0}),h(H)!=="svelte-1qjlbp6"&&(H.innerHTML=qe),re=n(e),m=l(e,"H2",{class:!0});var Me=c(m);w=l(Me,"A",{id:!0,class:!0,href:!0});var lt=c(w);te=l(lt,"SPAN",{});var st=c(te);D(A.$$.fragment,st),st.forEach(t),lt.forEach(t),Ne=n(Me),O=l(Me,"SPAN",{"data-svelte-h":!0}),h(O)!=="svelte-bbh533"&&(O.textContent=ze),Me.forEach(t),de=n(e),M=l(e,"P",{"data-svelte-h":!0}),h(M)!=="svelte-1ub76b"&&(M.innerHTML=Fe),he=n(e),T=l(e,"P",{"data-svelte-h":!0}),h(T)!=="svelte-t2majo"&&(T.textContent=Ge),ce=n(e),L=l(e,"OL",{"data-svelte-h":!0}),h(L)!=="svelte-rcdzi9"&&(L.innerHTML=Ze),ue=n(e),y=l(e,"DIV",{class:!0,"data-svelte-h":!0}),h(y)!=="svelte-435q1z"&&(y.innerHTML=Oe),pe=n(e),f=l(e,"H2",{class:!0});var Te=c(f);_=l(Te,"A",{id:!0,class:!0,href:!0});var nt=c(_);oe=l(nt,"SPAN",{});var rt=c(oe);D(P.$$.fragment,rt),rt.forEach(t),nt.forEach(t),Se=n(Te),X=l(Te,"SPAN",{"data-svelte-h":!0}),h(X)!=="svelte-1ydjt5y"&&(X.textContent=Xe),Te.forEach(t),me=n(e),E=l(e,"P",{"data-svelte-h":!0}),h(E)!=="svelte-ofs9i1"&&(E.innerHTML=Ye),fe=n(e),N=l(e,"P",{"data-svelte-h":!0}),h(N)!=="svelte-1nqrvc0"&&(N.innerHTML=Qe),ge=n(e),D(S.$$.fragment,e),ve=n(e),U=l(e,"P",{"data-svelte-h":!0}),h(U)!=="svelte-1tjoh4p"&&(U.innerHTML=Be),be=n(e),x=l(e,"DIV",{class:!0,"data-svelte-h":!0}),h(x)!=="svelte-125odup"&&(x.innerHTML=De),we=n(e),g=l(e,"H2",{class:!0});var Le=c(g);$=l(Le,"A",{id:!0,class:!0,href:!0});var dt=c($);ae=l(dt,"SPAN",{});var ht=c(ae);D(j.$$.fragment,ht),ht.forEach(t),dt.forEach(t),Ue=n(Le),Y=l(Le,"SPAN",{"data-svelte-h":!0}),h(Y)!=="svelte-1okndmg"&&(Y.textContent=Je),Le.forEach(t),ye=n(e),V=l(e,"P",{"data-svelte-h":!0}),h(V)!=="svelte-mr4xsw"&&(V.innerHTML=Re),_e=n(e),I=l(e,"P",{"data-svelte-h":!0}),h(I)!=="svelte-1y63q62"&&(I.textContent=We),xe=n(e),q=l(e,"OL",{"data-svelte-h":!0}),h(q)!=="svelte-equ67y"&&(q.innerHTML=Ke),$e=n(e),z=l(e,"P",{"data-svelte-h":!0}),h(z)!=="svelte-14zae00"&&(z.textContent=et),Ce=n(e),v=l(e,"H2",{class:!0});var Pe=c(v);C=l(Pe,"A",{id:!0,class:!0,href:!0});var ct=c(C);ie=l(ct,"SPAN",{});var ut=c(ie);D(F.$$.fragment,ut),ut.forEach(t),ct.forEach(t),je=n(Pe),Q=l(Pe,"SPAN",{"data-svelte-h":!0}),h(Q)!=="svelte-4447zp"&&(Q.textContent=tt),Pe.forEach(t),ke=n(e),G=l(e,"UL",{"data-svelte-h":!0}),h(G)!=="svelte-sfho8j"&&(G.innerHTML=ot),this.h()},h(){r(u,"name","hf:doc:metadata"),r(u,"content",JSON.stringify(_t)),r(b,"id","using-asteroid-at-hugging-face"),r(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(b,"href","#using-asteroid-at-hugging-face"),r(p,"class","relative group"),r(w,"id","exploring-asteroid-in-the-hub"),r(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(w,"href","#exploring-asteroid-in-the-hub"),r(m,"class","relative group"),r(y,"class","flex justify-center"),r(_,"id","using-existing-models"),r(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(_,"href","#using-existing-models"),r(f,"class","relative group"),r(x,"class","flex justify-center"),r($,"id","sharing-your-models"),r($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r($,"href","#sharing-your-models"),r(g,"class","relative group"),r(C,"id","additional-resources"),r(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(C,"href","#additional-resources"),r(v,"class","relative group")},m(e,o){d(document.head,u),a(e,se,o),a(e,p,o),d(p,b),d(b,ee),J(k,ee,null),d(p,Ee),d(p,Z),a(e,ne,o),a(e,H,o),a(e,re,o),a(e,m,o),d(m,w),d(w,te),J(A,te,null),d(m,Ne),d(m,O),a(e,de,o),a(e,M,o),a(e,he,o),a(e,T,o),a(e,ce,o),a(e,L,o),a(e,ue,o),a(e,y,o),a(e,pe,o),a(e,f,o),d(f,_),d(_,oe),J(P,oe,null),d(f,Se),d(f,X),a(e,me,o),a(e,E,o),a(e,fe,o),a(e,N,o),a(e,ge,o),J(S,e,o),a(e,ve,o),a(e,U,o),a(e,be,o),a(e,x,o),a(e,we,o),a(e,g,o),d(g,$),d($,ae),J(j,ae,null),d(g,Ue),d(g,Y),a(e,ye,o),a(e,V,o),a(e,_e,o),a(e,I,o),a(e,xe,o),a(e,q,o),a(e,$e,o),a(e,z,o),a(e,Ce,o),a(e,v,o),d(v,C),d(C,ie),J(F,ie,null),d(v,je),d(v,Q),a(e,ke,o),a(e,G,o),He=!0},p:mt,i(e){He||(R(k.$$.fragment,e),R(A.$$.fragment,e),R(P.$$.fragment,e),R(S.$$.fragment,e),R(j.$$.fragment,e),R(F.$$.fragment,e),He=!0)},o(e){W(k.$$.fragment,e),W(A.$$.fragment,e),W(P.$$.fragment,e),W(S.$$.fragment,e),W(j.$$.fragment,e),W(F.$$.fragment,e),He=!1},d(e){e&&(t(se),t(p),t(ne),t(H),t(re),t(m),t(de),t(M),t(he),t(T),t(ce),t(L),t(ue),t(y),t(pe),t(f),t(me),t(E),t(fe),t(N),t(ge),t(ve),t(U),t(be),t(x),t(we),t(g),t(ye),t(V),t(_e),t(I),t(xe),t(q),t($e),t(z),t(Ce),t(v),t(ke),t(G)),t(u),K(k),K(A),K(P),K(S,e),K(j),K(F)}}}const _t={local:"using-asteroid-at-hugging-face",sections:[{local:"exploring-asteroid-in-the-hub",title:"Exploring Asteroid in the Hub"},{local:"using-existing-models",title:"Using existing models"},{local:"sharing-your-models",title:"Sharing your models"},{local:"additional-resources",title:"Additional resources"}],title:"Using Asteroid at Hugging Face"};function xt(Ve){return ft(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class At extends gt{constructor(u){super(),vt(this,u,xt,yt,pt,{})}}export{At as component};
